Hole in rectangular Face

Hi there, i want to create a hole in a rectangular Face like this:

//make a path
TColgp_Array1OfPnt PList1(1,2);
PList1.SetValue(1,gp_Pnt (100,0,0));
PList1.SetValue(2,gp_Pnt (100,50,0));

GeomAPI_PointsToBSpline path = GeomAPI_PointsToBSpline(PList1);
Handle(Geom_Curve) gpath= path.Curve();
TopoDS_Edge pathedge = BRepBuilderAPI_MakeEdge(gpath);

//make a Surface by extrusion
GeomFill_Pipe aPipe(gpath, gspline, GeomFill_IsFixed);
aPipe.Perform(0.001, Standard_False, GeomAbs_C1, 3, 10000);
const Handle(Geom_Surface)& aSurface = aPipe.Surface();
BRepBuilderAPI_MakeFace myFace(aSurface,0.001);

//Make a Circle
gp_Pnt center(60,30,0);
gp_Dir dirofRadius(0,0,1);
gp_Circ circle(gp_Ax2(center,dirofRadius),10);
GC_MakeCircle geomCircle = GC_MakeCircle(circle);
Handle(Geom_Curve) geomCurveCircle = geomCircle.Value();
TopoDS_Edge circleEdge = BRepBuilderAPI_MakeEdge(geomCurveCircle);
TopoDS_Wire wirecircle = BRepBuilderAPI_MakeWire(circleEdge);

myFace.Add(wirecircle);
TopoDS_Face FaceWithHole= myFace;

Unfortunately, the Hole is not displayed. Creating the planar Surface with TopoDS_Edge's and BRepBuilderAPI_MakeWire(Edge's) solves the Problem, but what is the difference between the 2 Ways of Surface Creation?

Thanks

Attachments: 
davidlauter's picture

This is solved, there was a Problem with the orientation but ShapeFix_Shape could handle it!
Thanks @all